Skip to main content
Back to API List Use this API to get agent status in real-time or changes stacked every 30 seconds.
FieldDetails
MethodGET
Endpointhttps://{{host}}/agentassist/api/public/analytics/account/{{AccountID}}/agentactivity
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeWFM Integration

Path Parameters

ParameterDescriptionType
hostEnvironment URL. Example: https://platform.kore.aistring, required
AccountIdUnique identifier associated with the account.string, required

Sample Request

curl --location 'https://{{host}}/agentassist/api/public/analytics/account/636f5b36bcf8a8c7101exxxx/agentactivity?fromTimeStamp=2023-04-02T09%3A45%3A00Z&toTimeStamp=2023-04-06T10%3A00%3A00Z' \
--header 'auth: <token>' \
--header 'Content-Type: application/json'

Sample Response

{
"accountId":"63fb9a0f90425b644d3exxxx",
 	"AgentUpdates": [
{
 	"AgentId":"a-59bb17e-0cae-46b0-8d80-a8a8ac34xxxx",
"EventTime":"10/20/2020 2:13:12",
"Activity":"notready",
"ReasonCode":"1"
        }
    ]
}

Response Body Parameters

ParameterDescriptionType
accountIdUnique ID associated with the account. For example, 63fb9a0f90425b644d3exxxx.String
agentUpdatesList of objects defining updates to agent statuses.Array
agentUpdates.agentIdUnique ID of the agent. For example, a-59bb17e-0cae-46b0-8d80-a8a8ac34xxxx.String
agentUpdates.eventTimeTimestamp of the event in MM/DD/YYYY HH:MM:SS format.String
agentUpdates.activityAgent’s activity status at the time of the event. For example, "notready".String
agentUpdates.reasonCodeCode representing the reason for the agent’s status change. For example, "1".String